> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-members-list.md).

# namespaces members list

List members and their roles in a namespace

## Synopsis

```shell
omics workbench namespaces members list
  [--namespace NAMESPACE_ID]
  [--max-results]
  [--page]
  [--page-size]
```

## Description

List all members and their roles in a given namespace. This command returns information about each member including their user ID, email, full name, role, and when they were added to the namespace.

## Examples

### List members in the active namespace

```shell
omics workbench namespaces members list
```

### List all members in a namespace

```shell
omics workbench namespaces members list --namespace bcd869ca-8a06-4426-a94d-43f9d91e937d
```

List members using the short flag

```shell
omics workbench namespaces members list -n bcd869ca-8a06-4426-a94d-43f9d91e937d
```

List the first 10 members of a namespace

```shell
omics workbench namespaces members list
  --namespace bcd869ca-8a06-4426-a94d-43f9d91e937d
  --max-results 10
```

## Flags:

### `--namespace`, `-n`=`NAMESPACE_ID`

The namespace ID to list members for. Defaults to the active namespace. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command.

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping into an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100). Reducing the page size can help with poor internet connections.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-members-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
